:mod:`cjklib.test.characterlookup` --- Unit tests for characterlookup
=====================================================================


.. automodule:: cjklib.test.characterlookup


Classes
--------

.. autoclass:: CharacterLookupCharacterDomainTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupFilterDomainCharactersReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetAllCharacterVariantsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterEquivalentRadicalFormsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterGlyphsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterKangxiRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterKangxiRadicalResidualStrokeCountReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterKangxiResidualStrokeCountReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterRadicalResidualStrokeCountReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterResidualStrokeCountReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharacterVariantsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharactersForComponentsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharactersForKangxiRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharactersForRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetCharactersForReadingReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetDecompositionEntriesReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetDefaultGlyphReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetKangxiRadicalFormReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetKangxiRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetKangxiRadicalRepresentativeCharactersReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetKangxiRadicalVariantFormsReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetRadicalFormEquivalentCharacterReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetReadingForCharacterReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetResidualStrokeCountForKangxiRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetResidualStrokeCountForRadicalIndexReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetStrokeCountReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetStrokeForAbbrevReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetStrokeForNameReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetStrokeOrderAbbrevReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupGetStrokeOrderReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupIsCharacterInDomainReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupIsComponentInCharacterReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupIsKangxiRadicalFormOrEquivalentReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupIsRadicalCharReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupMetaTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupReadingMethodsTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupStrokeOrderTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupStrokesTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CharacterLookupTest
   :show-inheritance:
   :members:
   :undoc-members:
   

